Subject: Re: [PATCH 00/10] sysfs tagged directories

From: [email-masked] (Eric W. Biederman)
Date: Tue, 29 Apr 2008 12:14:21 -0700

Greg KH <[email-masked]> writes:

> On Tue, Apr 29, 2008 at 07:10:15PM +0200, Benjamin Thery wrote:
>> Here is the announcement Eric wrote back in December to introduce his 
>> patchset:
>
> <snip>
>
> Are the objections that Al Viro made to this patchset when it was last
> sent out addressed in this new series?

I'm trying to recall.  Al was nervous when the approach was described
to him but I don't remember him looking at specific patches and
objecting.

There was also an issue about races in sysfs between rename
and unlink that Al brought up, that causes real problems in
at least one piece of code that uses that functionality.  I have been
busy so I don't know if anyone has addressed that issue.  It is
independent but this patchset may make that issue slightly harder
to fix.

If the concern is Al nervousness with respect to locking order
(and that is complex) the only really sane way to fix that is
to dig into the VFS and change the lock ordering so that is 
friendlier to distributed filesystems like sysfs.

This patchset does not introduce any new lock ordering issues
but it may make the existing convolutions we have to go through
to keep the dcache for existing file handles in sync with the
internal sysfs tree more visible.  As of my last posting I am
not aware of any locking problems in the code itself.

Greg I had thought you had dropped the patchset simply because
you got busy.  I know it languished for a long time because of
that.

Eric